< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package frs10x
  Definition Classes
    accounts
-  package boxes
  Definition Classes
    frs10x
- AC8021
- AC8023
- AC8033
- AC8051
- AC8052
- AC8053
- AC8054
- AC8081
- AC8082
- AC8083
- AC8088
- AC8089
- AC8899
- ACQ8003
- ACQ8009
- ACQ8161
- ACQ8989
- ACQ8990
- ACQ8991
- ACQ8999
- Director
- Directors
- NotTradedStatementRequired
- ProfitAndLossStatementRequired

c

uk.gov.hmrc.ct.accounts.frs10x.boxes

# AC8021 

###

#### case class AC8021(value: Option[Boolean]) extends CtBoxIdentifier with CtOptionalBoolean with Input with SelfValidatableBox[Frs10xDirectorsBoxRetriever with FilingAttributesBoxValueRetriever, Option[Boolean]] with DirectorsReportExistenceValidation with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, DirectorsReportExistenceValidation, SelfValidatableBox[Frs10xDirectorsBoxRetriever with FilingAttributesBoxValueRetriever, Option[Boolean]], ValidatableBox[Frs10xDirectorsBoxRetriever with FilingAttributesBoxValueRetriever], ExtraValidation, Validators, Input, CtOptionalBoolean, OptionalCtValue[Boolean], CtValue[Option[Boolean]], CtBoxIdentifier, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AC8021
2. Serializable
3. Serializable
4. Product
5. Equals
6. DirectorsReportExistenceValidation
7. SelfValidatableBox
8. ValidatableBox
9. ExtraValidation
10. Validators
11. Input
12. CtOptionalBoolean
13. OptionalCtValue
14. CtValue
15. CtBoxIdentifier
16. AnyRef
17. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new AC8021(value: Option[Boolean])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def And(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
5.  def Or(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
6.  def asBoolean: Option[Boolean]
   Definition Classes
     CtOptionalBoolean
7.  def asBoxString: Option[String]
   Definition Classes
     CtValue
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]
   Attributes
     protected
   Definition Classes
     ValidatableBox
10.  def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
11.  def belowMinWithMax(value: Option[Int], max: Int, min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
12.  implicit def box2OptionalBigDecimalIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalBigDecimalIdBox
    Definition Classes
      SelfValidatableBox
13.  implicit def box2OptionalBooleanIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalBooleanIdBox
    Definition Classes
      SelfValidatableBox
14.  implicit def box2OptionalDateIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalDateIdBox
    Definition Classes
      SelfValidatableBox
15.  implicit def box2OptionalIntIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalIntIdBox
    Definition Classes
      SelfValidatableBox
16.  implicit def box2OptionalStringIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalStringIdBox
    Definition Classes
      SelfValidatableBox
17.  implicit def box2StringIdBox(box: CtValue[_] with CtBoxIdentifier): StringIdBox
    Definition Classes
      SelfValidatableBox
18.  val boxId: String
    Attributes
      protected
    Definition Classes
      Validators
19.  def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
20.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
21.  def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
22.  def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
23.  def directorsReportPopulated(boxRetriever: Frs10xDirectorsBoxRetriever with FilingAttributesBoxValueRetriever): Boolean
    Definition Classes
      DirectorsReportExistenceValidation
24.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  def errorMessage[A](messageKey: String, errorArguments: Seq[A] = Seq.empty): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
26.  def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
27.  def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
28.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
29.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
30.  def hasValue: Boolean
    Definition Classes
      OptionalCtValue
31.  def id: String
    Definition Classes
      CtBoxIdentifier
32.  def inverse: Option[Boolean]
    Definition Classes
      CtOptionalBoolean
33.  def isEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
34.  def isFalse: Boolean
    Definition Classes
      CtOptionalBoolean
35.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
36.  def isTrue: Boolean
    Definition Classes
      CtOptionalBoolean
37.  val name: String
    Definition Classes
      CtBoxIdentifier
38.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
39.  def noValue: Boolean
    Definition Classes
      OptionalCtValue
40.  def nonEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
41.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
42.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
43.  def orFalse: Boolean
    Definition Classes
      CtOptionalBoolean
44.  def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
45.  val postCodeRegex: String
    Attributes
      protected
    Definition Classes
      ExtraValidation
46.  def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
47.  def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
48.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
49.  def validate(boxRetriever: Frs10xDirectorsBoxRetriever with FilingAttributesBoxValueRetriever): Set[CtValidation]
    Definition Classes
      AC8021 → ValidatableBox
50.  def validateAllFilledOrEmptyStrings(allBoxes: Set[CtValue[String]])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
51.  def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
52.  def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
53.  def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
54.  def validateAsMandatory()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
55.  def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
56.  def validateAsMandatory[A](boxId: String, value: Option[A])(): Set[CtValidation]
    Definition Classes
      ExtraValidation
57.  def validateBooleanAsMandatory()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
58.  def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
59.  def validateBooleanAsTrue()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
60.  def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
61.  def validateCoHoStringReturnIllegalChars(value: String, errorCodeBoxId: Option[String])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
62.  def validateCoHoStringReturnIllegalChars()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
63.  def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
64.  def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
65.  def validateCohoNameField()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
66.  def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
67.  def validateCohoOptionalNameField()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
68.  def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
69.  def validateDateAsAfter(dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
70.  def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
71.  def validateDateAsBefore(dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
72.  def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
73.  def validateDateAsBetweenInclusive(date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
74.  def validateDateAsBetweenInclusive(minDate: LocalDate, maxDate: LocalDate)()(implicit ev: <:<[Option[Boolean], Option[LocalDate]]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
75.  def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
76.  def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
77.  def validateDateAsBlank()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
78.  def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
79.  def validateDateAsMandatory(date: Option[LocalDate], messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
80.  def validateDateAsMandatory()()(implicit ev: <:<[Option[Boolean], Option[LocalDate]]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
81.  def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
82.  def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
83.  def validateDateIsInclusive(boxId: String, minDate: LocalDate, dateToCompare: Option[LocalDate], maxDate: LocalDate): Set[CtValidation]
    Definition Classes
      ExtraValidation
84.  def validateDirectorsReportCannotExist(boxId: String, includeDirectorsReportValue: Option[Boolean], boxRetriever: Frs10xDirectorsBoxRetriever with FilingAttributesBoxValueRetriever)(): Set[CtValidation]
    Definition Classes
      DirectorsReportExistenceValidation
85.  def validateIntegerAsBlank()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
86.  def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
87.  def validateIntegerAsMandatory()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
88.  def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
89.  def validateIntegerRange(min: Int = 0, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
90.  def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
91.  def validateMoney(value: Option[Int], min: Int = -99999999, max: Int = 99999999)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
92.  def validateNotEmptyStringByLength(value: String, min: Int, max: Int)(): Set[CtValidation]
    Definition Classes
      SelfValidatableBox
93.  def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
94.  def validateNotEmptyStringByLengthMin(boxId: String, value: String, min: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
95.  def validateOptionalIntegerAsEqualTo(equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
96.  def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
97.  def validateOptionalIntegerLessOrEqualBox(other: CtBoxIdentifier with CtOptionalInteger)()(implicit ev: <:<[Option[Boolean], Option[Int]]): Set[CtValidation]
    Definition Classes
      SelfValidatableBox
98.  def validateOptionalStringByLength(min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
99.  def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
100.  def validateOptionalStringByLength(value: Option[String], min: Int, max: Int, boxId: String, boxIdPrefix: Option[String])(): Set[CtValidation]
     Definition Classes
       ExtraValidation
101.  def validateOptionalStringByLengthMax(boxId: String, box: OptionalStringIdBox, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
102.  def validateOptionalStringByLengthMin(boxId: String, box: OptionalStringIdBox, min: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
103.  def validateOptionalStringByRegex(regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
104.  def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
105.  def validatePositiveBigDecimal()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
106.  def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
107.  def validatePositiveInteger()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
108.  def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
109.  def validatePostcode(boxId: String)()(implicit ev: <:<[Option[Boolean], Option[String]]): Set[CtValidation]
     Definition Classes
       SelfValidatableBox
110.  def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
111.  def validatePostcode(boxId: String, postcode: Option[String]): Set[CtValidation]
     Definition Classes
       ExtraValidation
112.  def validatePostcodeLength(boxId: String, postcode: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
113.  def validatePostcodeRegex(boxId: String, postcode: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
114.  def validateRawStringByRegex(value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
115.  def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
116.  def validateStringAsBlank()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
117.  def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
118.  def validateStringAsMandatory()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
119.  def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
120.  def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
121.  def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
122.  def validateStringAsMandatoryWithNoTrailingWhitespace()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
123.  def validateStringAsMandatoryWithNoTrailingWhitespace(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
124.  def validateStringByLength(value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]
     Definition Classes
       SelfValidatableBox
125.  def validateStringByLength(min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
126.  def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
127.  def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
128.  def validateStringByRegex(regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
129.  def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
130.  def validateStringByRegex(boxId: String, str: String, regex: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
131.  def validateStringMaxLength(value: String, max: Int)(): Set[CtValidation]
     Definition Classes
       SelfValidatableBox
132.  def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
133.  def validateZeroOrNegativeInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
134.  def validateZeroOrPositiveBigDecimal()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
135.  def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
136.  def validateZeroOrPositiveInteger()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
137.  def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
138.  val value: Option[Boolean]
     Definition Classes
       AC8021 → CtValue
139.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
140.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
141.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from DirectorsReportExistenceValidation

### Inherited from SelfValidatableBox[Frs10xDirectorsBoxRetriever with FilingAttributesBoxValueRetriever, Option[Boolean]]

### Inherited from ValidatableBox[Frs10xDirectorsBoxRetriever with FilingAttributesBoxValueRetriever]

### Inherited from ExtraValidation

### Inherited from Validators

### Inherited from Input

### Inherited from CtOptionalBoolean

### Inherited from OptionalCtValue[Boolean]

### Inherited from CtValue[Option[Boolean]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped